> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new change process request

> Creates a new changed customer data process request for given customerID/contractID. For each changed value you need a new request. Not all changes are applicable to a consumer or producer, some are role specific.



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/master_data/changes/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/master_data/changes/:
    post:
      tags:
        - master_data
      summary: Create a new change process request
      description: >-
        Creates a new changed customer data process request for given
        customerID/contractID. For each changed value you need a new request.
        Not all changes are applicable to a consumer or producer, some are role
        specific.
      operationId: master_data_changes_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeCustomerData'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ChangeCustomerData'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ChangeCustomerData'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeIdResponse'
          description: Change process created
components:
  schemas:
    ChangeCustomerData:
      type: object
      properties:
        changed_attribute:
          $ref: '#/components/schemas/ChangedAttributeEnum'
        new_value:
          type: string
        contract_id:
          type: string
        consumer_id:
          type: string
        producer_id:
          type: string
      required:
        - changed_attribute
        - contract_id
        - new_value
    ChangeIdResponse:
      type: object
      properties:
        change_id:
          type: integer
          description: identifier for change process
      required:
        - change_id
    ChangedAttributeEnum:
      enum:
        - salutation
        - first_name
        - last_name
        - birthday
        - prefered_delivery_start
        - is_business
        - telephone
        - deliv_address_zipcode
        - deliv_address_city
        - deliv_address_street
        - deliv_address_addition
        - deliv_address_house_number
        - bill_address_zipcode
        - bill_address_addition
        - bill_address_house_number
        - bill_address_street
        - bill_address_city
        - bank_data_last_name
        - bank_data_iban
        - bank_data_bic
        - bank_data_first_name
        - meter_id
        - sepa_reference
        - annual_consumption
        - name_title
        - sepa_date
        - previous_provider
        - email
        - saas_customer_lead_id
        - custom_name
        - is_small_business
        - company_name
        - tax_number
        - date_of_commissioning
        - accounting_email
        - balance_account
        - plant_status
        - payment_responsible
      type: string
      description: |-
        * `salutation` - salutation
        * `first_name` - first_name
        * `last_name` - last_name
        * `birthday` - birthday
        * `prefered_delivery_start` - prefered_delivery_start
        * `is_business` - is_business
        * `telephone` - telephone
        * `deliv_address_zipcode` - deliv_address_zipcode
        * `deliv_address_city` - deliv_address_city
        * `deliv_address_street` - deliv_address_street
        * `deliv_address_addition` - deliv_address_addition
        * `deliv_address_house_number` - deliv_address_house_number
        * `bill_address_zipcode` - bill_address_zipcode
        * `bill_address_addition` - bill_address_addition
        * `bill_address_house_number` - bill_address_house_number
        * `bill_address_street` - bill_address_street
        * `bill_address_city` - bill_address_city
        * `bank_data_last_name` - bank_data_last_name
        * `bank_data_iban` - bank_data_iban
        * `bank_data_bic` - bank_data_bic
        * `bank_data_first_name` - bank_data_first_name
        * `meter_id` - meter_id
        * `sepa_reference` - sepa_reference
        * `annual_consumption` - annual_consumption
        * `name_title` - name_title
        * `sepa_date` - sepa_date
        * `previous_provider` - previous_provider
        * `email` - email
        * `saas_customer_lead_id` - saas_customer_lead_id
        * `custom_name` - custom_name
        * `is_small_business` - is_small_business
        * `company_name` - company_name
        * `tax_number` - tax_number
        * `date_of_commissioning` - date_of_commissioning
        * `accounting_email` - accounting_email
        * `balance_account` - balance_account
        * `plant_status` - plant_status
        * `payment_responsible` - payment_responsible

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.